<?php

include(dirname(__FILE__).'/../../config/config.inc.php');
require_once(dirname(__FILE__).'/bpay.php');

//$payeer = new Payeer();

include(dirname(__FILE__).'/../../header.php');

$context = Context::getContext();

$currency = $context->currency;

$m_url = Configuration::get('merchant_url');

$m_shop = Configuration::get('merchant_id');

$m_order = Configuration::get('order_id');

$m_url = Configuration::get('site_url');

$m_orderid = $cart->id;

$m_fail = $m_url."/modules/bpay/fail.php?order=".$m_orderid;

$m_callback =  $m_url."/modules/bpay/success.php?order=".$m_orderid;

$m_lang = Configuration::get('lang_p');

$m_advanced1 = Configuration::get('advanced1');

$m_advanced2 = Configuration::get('advanced2');

$m_istest = Configuration::get('istest');

$m_method = Configuration::get('method_p');



$m_amount = number_format($cart->getOrderTotal(true, 3), 2, '.', '');

$m_curr = $currency->iso_code;

$m_key = Configuration::get('secret_key');

$bankwire = Module::getInstanceByName('bpay');


$bankwire->validateOrder($cart->id, Configuration::get("PS_OS_BANKWIRE"), $total, $bankwire->displayName, NULL, array(), (int)$currency->id, false, $customer->secure_key);


?>

	<h3>Payment by bpay</h3>
	<p>
		<img src="logo.png" alt="bpay" style="float:left; margin: 0px 10px 5px 0px;" />

		<br/><br />
	</p>
	<br/><br/>
	<p>
		<b>Confirm the order</b>
	</p>

<?php
$signature=$m_key;
$xmldata='<payment>
<type>1.2</type>
<merchantid>'.$m_shop.'</merchantid>
<amount>'.$m_amount.'</amount>
<description>Order '.$m_orderid.'</description>
<method>'.$m_method.'</method>
<order_id>'.$m_orderid.'</order_id>
<success_url>'.htmlspecialchars($m_callback).'</success_url>
<fail_url>'.htmlspecialchars($m_fail).'</fail_url>
<callback_url>'.htmlspecialchars($m_callback).'</callback_url>
<lang>'.$m_lang.'</lang>
<advanced1>'.$m_advanced1.'</advanced1>
<advanced2>'.$m_advanced2.'</advanced2>
<istest>'.$m_istest.'</istest>
</payment>';

// шифрум данные и подписываем их
$data = base64_encode($xmldata);
$sign = md5(md5($xmldata) . md5($signature));
?>
	<form method="POST" action="https://www.bpay.md/user-api/payment1">
		<input type="hidden" name="data" value="<? echo $data; ?>">
		<input type="hidden" name="key" value="<? echo $sign; ?>">
		<input type="submit" value="Transfer" class="exclusive_large" >
	</form>
<?php

include(dirname(__FILE__).'/../../footer.php');